before_script:
  - bundle install

stages:
  - test
  - deploy

test:
  script:
    - bundle exec rake db:migrate RAILS_ENV=test
    - bundle exec rake test RAILS_ENV=test
  only:
    - master

deploy:
  only:
    - master
  script:
    - bundle exec mina setup
    - bundle exec mina deploy
